API Explorer 5 endpoints

Delete activity by id

DELETE /obp/dynamic-entity/activity/ACTIVITY_ID

OBPv4.0.0-dynamicEntity_deleteactivity_ Roles: CanDeleteDynamicEntityRecord_activity(per bank) _ActivityDynamic-EntityDynamic

Delete activity by id

MethodRouting settings example:

<details>

{
  "is_bank_id_exact_match":false,
  "method_name":"dynamicEntityProcess",
  "connector_name":"rest_vMar2019",
  "bank_id_pattern":".*",
  "parameters":[
    {
        "key":"entityName",
        "value":"activity"
    }
    {
        "key":"url",
        "value":"http://mydomain.com/xxx"
    }
  ]
}

</details>

User Authentication is Required. The User must be logged in. The Application must also be authenticated.

Example request body
{
  "activity_id": "a_05OFWI037022",
  "name": "Brandenburg Regenerative Wheat",
  "summary": "Wheat rotation adopting cover crops and reduced tillage across enrolled parcels.",
  "description": "This activity aggregates multiple parcels under a single operator to monitor practice changes and estimate carbon stock change over the monitoring period.",
  "website": "https://example.org/activities/brandenburg-wheat",
  "image": "https://cdn.example.org/activity-images/activity_123.png",
  "media_links": "https://example.org/docs/activity_123_overview.pdf,\nhttps://example.org/blog/regen-wheat",
  "operator_id": "op_01JS0347FKH",
  "technologies_practices_processes": "cover_cropping\",\"reduced_tillage\",\"precision_fertilization",
  "type": "CARBON_FARMING",
  "unit_types": "Soil Emission Reduction",
  "city": "Seelow",
  "country_code": "DE",
  "multipolygon_coordinates": {
    "type": "MultiPolygon",
    "coordinates": [
      [
        [
          [
            14.3801,
            52.5201
          ],
          [
            14.3901,
            52.5201
          ],
          [
            14.3901,
            52.5301
          ],
          [
            14.3801,
            52.5301
          ],
          [
            14.3801,
            52.5201
          ]
        ]
      ]
    ]
  },
  "activity_plan_id": "TBD",
  "start_date": "2027-01-01",
  "end_date": "2031-12-31",
  "term_commitment": 5,
  "cobenefits": "[\"biodiversity\", \"water_quality\", \"soil_health\"]",
  "methodologies": "TBD",
  "monitoring_period_years": 5,
  "monitoring_period_start_date": "2027-01-01",
  "monitoring_period_end_date": "2031-12-31",
  "certification_scheme": "CRCF Scheme"
}
Example success response
{
  "activity": {
    "activity_id": "a_05OFWI037022",
    "name": "Brandenburg Regenerative Wheat",
    "summary": "Wheat rotation adopting cover crops and reduced tillage across enrolled parcels.",
    "description": "This activity aggregates multiple parcels under a single operator to monitor practice changes and estimate carbon stock change over the monitoring period.",
    "website": "https://example.org/activities/brandenburg-wheat",
    "image": "https://cdn.example.org/activity-images/activity_123.png",
    "media_links": "https://example.org/docs/activity_123_overview.pdf,\nhttps://example.org/blog/regen-wheat",
    "operator_id": "op_01JS0347FKH",
    "technologies_practices_processes": "cover_cropping\",\"reduced_tillage\",\"precision_fertilization",
    "type": "CARBON_FARMING",
    "unit_types": "Soil Emission Reduction",
    "city": "Seelow",
    "country_code": "DE",
    "multipolygon_coordinates": {
      "type": "MultiPolygon",
      "coordinates": [
        [
          [
            [
              14.3801,
              52.5201
            ],
            [
              14.3901,
              52.5201
            ],
            [
              14.3901,
              52.5301
            ],
            [
              14.3801,
              52.5301
            ],
            [
              14.3801,
              52.5201
            ]
          ]
        ]
      ]
    },
    "activity_plan_id": "TBD",
    "start_date": "2027-01-01",
    "end_date": "2031-12-31",
    "term_commitment": 5,
    "cobenefits": "[\"biodiversity\", \"water_quality\", \"soil_health\"]",
    "methodologies": "TBD",
    "monitoring_period_years": 5,
    "monitoring_period_start_date": "2027-01-01",
    "monitoring_period_end_date": "2031-12-31",
    "certification_scheme": "CRCF Scheme"
  }
}
Possible errors (4)
  • OBP-20001: User not logged in. Authentication is required!
  • OBP-20006: User is missing one or more roles:
  • OBP-10001: Incorrect json format.
  • OBP-50000: Unknown Error.
Implemented by OBPv4.0.0 dynamicEntity_deleteactivity_ Originally /activity/ACTIVITY_ID